# -*- coding: utf-8 -*-

from PyQt5.QtCore import QCoreApplication

from View.SedimentLayers.Reach.translate import SedimentReachTranslate

_translate = QCoreApplication.translate


class SedimentProfileTranslate(SedimentReachTranslate):
    def __init__(self):
        super(SedimentProfileTranslate, self).__init__()

        self._sub_dict["table_headers"] = {
            "x": _translate("SedimentLayers", "X (m)"),
            "y": _translate("SedimentLayers", "Y (m)"),
            "z": _translate("SedimentLayers", "Z (m)"),
            "name": _translate("SedimentLayers", "Name"),
            "sl": _translate("SedimentLayers", "Sediment layers"),
        }
